CPG_ITERATION_FINALIZE(3)

NAME

cpg_iteration_finalize - Finalize iterator for members of CPG

SYNOPSIS

#include <corosync/cpg.h>

cs_error_t cpg_iteration_finalize (cpg_iteration_handle_t handle);

DESCRIPTION

The cpg_iteration_finalize function is used to free up memory associated with iteration obtained by calling of cpg_iteration_initialize(3) function. The handle argument is iterator handle obtained by cpg_iteration_initialize(3) function.

RETURN VALUE
This call returns the CS_OK value if successful. CS_ERR_BAD_HANDLE error is returned when handle is invalid.

SEE ALSO
cpg_iteration_initialize(3), cpg_overview(8)

CS_ERR_TRY_AGAIN Resource temporarily unavailable CS_ERR_INVALID_PARAM Invalid argument CS_ERR_ACCESS Permission denied CS_ERR_LIBRARY The connection failed CS_ERR_INTERRUPT System call interrupted by a signal CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported CS_ERR_MESSAGE_ERROR Incorrect auth message received CS_ERR_NO_MEMORY Not enough memory to complete the requested task